Bug 1091067 - split off zone configuration in subpackages
Summary: split off zone configuration in subpackages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 18:40 UTC by Matthias Clasen
Modified: 2014-06-26 11:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-26 11:12:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthias Clasen 2014-04-24 18:40:50 UTC
For the workstation product, we would like to have a configuration that essentially comes down to trusted or public, plus possibly work.

Comment 1 Jiri Popelka 2014-04-30 15:48:14 UTC
One way would be to simply ship zones in subpackages like firewalld-zones-base & firewalld-zones-others.
'yum install firewalld' would install the -base subpackage and for complete set of zones 'yum install firewalld-zones-others' would be needed.

split-zones branch:
https://git.fedorahosted.org/cgit/firewalld.git/commit/?h=split-zones&id=27079a36e8ce4cb43bcc146fc3372ef5c5e05d0b

Comment 2 Bastien Nocera 2014-06-26 11:12:48 UTC
That's not required anymore.


Note You need to log in before you can comment on or make changes to this bug.